Page MenuHomePhabricator

Opening the link inspector with text selected only auto-populates search results for that text on the first open
Closed, ResolvedPublic1 Estimated Story Points

Description

Opening the link inspector in this situation already pre-fills the selected text in the search box. We should take this the logical step further and automatically pull up the search results for that search term.


When user clicks on link tool and the link is created, we need to show what the word is linked to with picture and wikidata descriptor.

It's helpful in assuring the correct page is linked.

Event Timeline

nshahquinn-wmf raised the priority of this task from to Low.
nshahquinn-wmf updated the task description. (Show Details)
nshahquinn-wmf added a subscriber: nshahquinn-wmf.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 10:27 PM

Isn't that how it was working just a little while ago? This might be an accidental regression.

Esanders renamed this task from Opening the link inspector with text selected should auto-populate search results for that text to [REGRESSION] Opening the link inspector with text selected should auto-populate search results for that text.May 8 2015, 2:55 PM
Esanders set Security to None.
Esanders renamed this task from [REGRESSION] Opening the link inspector with text selected should auto-populate search results for that text to Opening the link inspector with text selected should auto-populate search results for that text.May 8 2015, 3:01 PM
Esanders added a subscriber: Esanders.

Actually I don't think this is a regression, but there is a question over whether it is the right thing to do.

As we're likely replacing the popup results menu soon, this is likely going to become invalid.

Jdforrester-WMF edited a custom field.Jun 3 2015, 9:50 PM
Jdforrester-WMF closed this task as Resolved.Jun 16 2015, 11:56 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF raised the priority of this task from Low to High.
Jdforrester-WMF moved this task from Backlog to Done on the VisualEditor 2014/15 Q4 blockers board.
Jdforrester-WMF renamed this task from Opening the link inspector with text selected should auto-populate search results for that text to Opening the link inspector with text selected only auto-populates search results for that text on the first open.Jun 16 2015, 11:59 PM
Jdforrester-WMF reopened this task as Open.

Bah.

@Jdforrester-WMF it's jumping around. and the inspect popover is not visible.

Krenair claimed this task.Jun 24 2015, 5:39 PM
Krenair added a subscriber: Jdforrester-WMF.

Change 220634 had a related patch set uploaded (by Alex Monk):
Populate the lookup menu when the user opens the link inspector

https://gerrit.wikimedia.org/r/220634

Change 220634 merged by jenkins-bot:
Populate the internal target lookup menu when the user opens the link inspector

https://gerrit.wikimedia.org/r/220634

Jdforrester-WMF closed this task as Resolved.Jul 2 2015, 11:13 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Doing to Done on the VisualEditor 2015/16 Q1 blockers board.